List predictions by dataset
curl --request GET \
--url https://{tenant}-api.mathfi.ai/api/v1/predictions/datasets/{datasetKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}-api.mathfi.ai/api/v1/predictions/datasets/{datasetKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)" {\n \"predictions\": [{\n \"predictionKey\": \"3a1a9a83-d549-4f25-b7ed-8174e0c955de\",\n \"modelKey\": \"3a1a9a83-d549-4f25-b7ed-8174e0c955de\",\n \"status\": \"COMPLETED\",\n \"predictionResultUrl\": \"https://server/prediction-result.csv\"\n }]\n \"offset\": 10,\n \"limit\": 10\n }\n"Predictions
List predictions by dataset
List all predictions done for a given dataset, paginated
GET
/
api
/
v1
/
predictions
/
datasets
/
{datasetKey}
List predictions by dataset
curl --request GET \
--url https://{tenant}-api.mathfi.ai/api/v1/predictions/datasets/{datasetKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}-api.mathfi.ai/api/v1/predictions/datasets/{datasetKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)" {\n \"predictions\": [{\n \"predictionKey\": \"3a1a9a83-d549-4f25-b7ed-8174e0c955de\",\n \"modelKey\": \"3a1a9a83-d549-4f25-b7ed-8174e0c955de\",\n \"status\": \"COMPLETED\",\n \"predictionResultUrl\": \"https://server/prediction-result.csv\"\n }]\n \"offset\": 10,\n \"limit\": 10\n }\n"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
x >= 1